import { IMessageEvent } from 'websocket'
import { IncomingPacket } from './structures/server'

export function connect (url: string): void {
  const webSocket = new WebSocket(url)
  webSocket.binaryType = 'arraybuffer'
  webSocket.onopen = onOpen
  webSocket.onmessage = onMessage
}

function onOpen (): void {
  console.log('Connected!')
}

function onMessage (event: IMessageEvent): void {
  console.log(new IncomingPacket(event.data as Buffer))
}
